repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: check-yaml
      - id: end-of-file-fixer
      - id: trailing-whitespace
  - repo: https://github.com/golangci/golangci-lint
    rev: v1.54.2
    hooks:
      - id: golangci-lint
        name: golangci-lint
        description: Fast linters runner for Go. Runs on all files in the repo. Use this hook if you use pre-commit in CI.
        entry: golangci-lint run --fix
        types: [go]
        language: golang
        require_serial: true
        pass_filenames: false
